---
search:
  tags:
    - Services
    - GET
seo:
  description: >-
    Get a service. Reference for the GET /api/admin/services/{id} endpoint in
    the Athena Attack/Defence Admin API.
sidebar:
  label: Get a service
  badge: GET
title: Get a service
type: openapi-operation
---
`GET /api/admin/services/{id}`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Response for status 404
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "stores": [
    {
      "id": "string",
      "serviceId": "string",
      "index": 0,
      "label": "string"
    }
  ],
  "number": 0,
  "checkerTimeoutSeconds": 0,
  "id": "string",
  "name": "string",
  "description": "string",
  "slug": "string",
  "image": "string",
  "imageDigest": "string",
  "checkerImage": "string",
  "checkerImageDigest": "string",
  "ports": [
    {
      "port": 0,
      "protocol": "tcp"
    }
  ],
  "position": 0,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "enabled": true,
  "createdBy": "string",
  "pullUsername": "string",
  "sourceFileId": "string",
  "pullCredentialsSet": true
}
```
